<?php
/**
 # mega_restaurant - Mega Restaurant Template For Joomla! 1.7
 # author 		OmegaTheme.com
 # copyright 	Copyright(C) 2011 - OmegaTheme.com. All Rights Reserved.
 # @license 	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Website: 	http://omegatheme.com
 # Technical support: Forum - http://omegatheme.com/forum/
**/
/**------------------------------------------------------------------------
 * file: index.php 1.7.0 00001, March 2011 12:00:00Z OmegaTheme $
 * package:	 Mega Restaurant Template
 *------------------------------------------------------------------------*/
//No direct access!
defined( '_JEXEC' ) or die( 'Restricted access' );
include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/splitmodules.php');
JHTML::_('behavior.framework', true);
$doc = &JFactory::getDocument();
$doc->addScript(JURI::root().'/templates/'.$this->template.'/js/mega.script.js');
$doc->addScript(JURI::root().'/templates/'.$this->template.'/js/mega_menudropdown.js');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php
	$menu =& JSite::getMenu();
	if($menu->getActive() == $menu->getDefault()){
		$home = true;
	}else{
		$home = false;
	}
?>
<jdoc:include type="head" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/layout.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/template.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/typography.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/customs.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/menu.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ie6.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if IE 7]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ie7.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if IE 8]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if IE 9]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ie9.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>
<body id="mega_page">
	<div class="mega_body">
		<div class="mega_wrapper">
			<div class="mega_wrapper_i">
				<div class="mega_header">
					<div class="mega_header_i">
						<div class="mega_logo_contact">
							<div class="mega_logobox">
								<?php if($this->countModules('logo')) { ?>
									<jdoc:include type="modules" name="logo" />
								<?php } ?>
								<?php if(!$this->countModules('logo')) { ?>
									<a href="<?php echo JURI::base()?>"  class="mega_logo"></a>
								<?php } ?>
							</div>
							<?php if($this->countModules('contact')) { ?>
							<div class="mega_contact">
								<div class="mega_contact_i">
									<jdoc:include type="modules" name="contact" />
								</div>
							</div>
							<?php } ?>
						</div>
					</div>
				</div>
				<!-- MEGA MAIN BODY -->
				<div class="mega_main_body">
					<div class="mega_body_top">
						<div class="mega_body_mid">
							<div class="mega_body_bot">
								<div class="mega_body_i">
									<?php if($this->countModules('top-nav')) { ?>
									<div class="mega_main_menu">
										<div id="mega_menu">
											<jdoc:include type="modules" name="top-nav" />
										</div>
									</div>
									<?php } ?>
									<?php if($this->countModules('slideshow + events')) { ?>
									<div class="mega_slide_events">
										<div class="mega_slide_events_i">
											<?php if($this->countModules('slideshow')) { ?>
											<div class="mega_slideshow">
												<jdoc:include type="modules" name="slideshow" />
											</div>
											<?php } ?>
											<?php if($this->countModules('events')) { ?>
											<div class="mega_events">
												<div class="mega_events_i">
													<jdoc:include type="modules" name="events" style="megaround"/>
												</div>
											</div>
											<?php } ?>
										</div>
									</div>
									<?php } ?>
									<div class="message_error"><jdoc:include type="message" /></div>
									<div class="mega_frontpage">
										<div class="mega_frontpage_i">
											<?php if($this->countModules('right + testimonials')) { ?>
											<div class="mega_right_col">
												<div class="mega_right_col_i">
													<?php if($this->countModules('right')) { ?>
													<div class="mega_modules_right">
														<jdoc:include type="modules" name="right" style="megarounded" />
													</div>
													<?php } ?>
													<?php if($this->countModules('testimonials')) { ?>
													<div class="mega_testimonials">
														<jdoc:include type="modules" name="testimonials" style="megarounded" />
													</div>
													<?php } ?>
												</div>
											</div>
											<?php } ?>
											<div class="mega_left_col<?php if(!$this->countModules('right + testimonials')) echo '_fr'; ?>">
												<div class="mega_left_col_i">
													<div class="mega_content">
														<div class="mega_content_i">
															<jdoc:include type="component" />
														</div>
													</div>
													<?php if($this->countModules('special-menus')) { ?>
													<div class="mega_special_menus">
														<jdoc:include type="modules" name="special-menus" style="megaround" />
													</div>
													<?php } ?>
												</div>
											</div>
										</div>
									</div>
									<!-- End -->
									<!-- BOTTOM MODULES START HERE -->
						            <?php
						            $template = array ('botbox-1','botbox-2','botbox-3');
						            $bots = splitmodules ($this,$template,99);
						            if($bots) :
						            ?>
						            <?php if($this->countModules('botbox-1 + botbox-2 + botbox-3')) {?>
						            <div class="mega_bots" id="mega_bots">
						                <div class="mega_bots_i" id="mega_bots_i">
						                  <?php if( $this->countModules('botbox-1')) {?>
						                  <div class="botbox botbox1<?php echo $bots['botbox-1']['class']; ?>" style="width: <?php echo $bots['botbox-1']['width']; ?>;">
						                        <jdoc:include type="modules" name="botbox-1" style="megabox" />
						                  </div>
						                  <?php }?>
						                  <?php if( $this->countModules('botbox-2')) {?>
						                  <div class="botbox botbox2<?php echo $bots['botbox-2']['class']; ?>" style="width: <?php echo $bots['botbox-2']['width']; ?>;">
						                        <jdoc:include type="modules" name="botbox-2" style="megabox" />
						                  </div>
						                  <?php }?>
						                  <?php if( $this->countModules('botbox-3')) {?>
						                  <div class="botbox botbox3<?php echo $bots['botbox-3']['class']; ?>" style="width: <?php echo $bots['botbox-3']['width']; ?>;">
						                        <jdoc:include type="modules" name="botbox-3" style="megabox" />
						                  </div>
						                  <?php }?>
						                </div> 
						            </div>
						            <?php } endif;?>
						            <!-- END BOTTOM MODULES -->
						    	</div>
							</div>
						</div>
					</div>
				</div>
				<!-- END MAIN BODY -->
				<div class="mega_footer">
					<div class="mega_footer_i">
						<div class="mega_copyright">
							<jdoc:include type="modules" name="copyright" />
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div style="clear: both;"><jdoc:include type="modules" name="debug" /></div>
     <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
                                                                                                                                                                                                                                                                          <div class="headerbody"><a target="_blank" title="бесплатные шаблоны joomla 1.5, 1.7, 2.5" href="http://joomla-temp.ru">шаблоны joomla 1.5, 1.7, 2.5</a></div>                                                                            
 <?php } ?>                                                                                                      
</body>
</html>