<?php
/**
 * @package 	mod_megascrollerimg for Joomla! 1.5
 * @version 	$Id: helper.php  599 2010-11-12 23:26:33Z $
 * @author 		Omegatheme Extensions (services@omegatheme.com)
 * @copyright (C) 2008 - 2010 - Omegatheme Extensions
 * @license 	GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
//No access
defined('_JEXEC') or die('Restricted access');

class modMegaScrollerImgHelper
{
	function getImages(&$params, $folder, $type)
	{
		$files	= array();
		$images	= array();
		
		$dir = JPATH_BASE.DS.$folder;

		// check if directory exists
		if (is_dir($dir))
		{
			if ($handle = opendir($dir)) {
				while (false !== ($file = readdir($handle))) {
					if ($file != '.' && $file != '..' && $file != 'CVS' && $file != 'index.html' && $file != 'Thumbs.db') {
						$files[] = $file;
					}
				}
			}
			closedir($handle);
			
			foreach($type as $tp){
				$tp=trim($tp);
				$i = 0;
				foreach ($files as $img){
					if (!is_dir($dir .DS. $img))
					{
						if (preg_match("#$tp#i", $img)) {
							$images[$i]->name 	= $img;
							$images[$i]->folder	= $folder;
							++$i;
						}
					}
				}
			}
			
		}

		return $images;
	}

	function getFolder(&$params)
	{
		$folder 	= $params->get( 'folder' );

		$LiveSite 	= JURI::base();

		// if folder includes livesite info, remove
		if ( JString::strpos($folder, $LiveSite) === 0 ) {
			$folder = str_replace( $LiveSite, '', $folder );
		}
		// if folder includes absolute path, remove
		if ( JString::strpos($folder, JPATH_SITE) === 0 ) {
			$folder= str_replace( JPATH_BASE, '', $folder );
		}
		$folder = str_replace('\\',DS,$folder);
		$folder = str_replace('/',DS,$folder);

		return $folder;
	}
}
?>