<?php
/**
 # mod_megascrollerimg - Mega Scroller Images Module for Joomla! 1.7
 # author 		OmegaTheme.com
 # copyright 	Copyright(C) 2011 - OmegaTheme.com. All Rights Reserved.
 # @license 	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Website: 	http://omegatheme.com
 # Technical support: Forum - http://omegatheme.com/forum/
**/
/**------------------------------------------------------------------------
 * file: mod_megascrollerimg.php 1.7.0 00001, March 2011 12:00:00Z OmegaTheme $
 * package:	Mega Scroller Images Module
 *------------------------------------------------------------------------*/
//No direct access!
defined('_JEXEC') or die;

require_once (dirname(__FILE__).DS.'helper.php');

$doc = &JFactory::getDocument();
$doc->addStyleSheet(JURI::base().'/modules/mod_megascrollerimg/css/layout.css');

$type = explode(',',trim($params->get('type')));

$folder	= modMegaScrollerImgHelper::getFolder($params);
$images	= modMegaScrollerImgHelper::getImages($params, $folder, $type);

$modwidth 		= $params->get('modwidth', 660);
$scrollwidth 		= $params->get('scrollwidth', 620);
$scrollheight 		= $params->get('scrollheight', 110);
$imgperframe		= $params->get('imgperframe', 1);

if (!count($images)) {
	echo JText::_( 'No images ');
	return;
}

require(JModuleHelper::getLayoutPath('mod_megascrollerimg'));
?>
